## nipype 0.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html api htmlonly latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      make the HTML documentation"
	@echo "  api       	make API documents only"
	@echo "  latex     make the LaTeX, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  changes   make an overview of all changed/added/deprecated" \
	      		"items (ChangeLog)"
	@echo "  linkcheck check all external links for integrity"
	@echo "  doctest   run all doctests embedded in the documentation"
	@echo "  sf_cburns copy html files to sourceforge (cburns only)"

clean:
	-rm -rf _build/* *~ api/generated documentation.zip

htmlonly:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

api:    
	python ../tools/build_modref_templates.py
	@echo "Build API docs finished."

html: api htmlonly
	@echo "Build HTML and API finished."

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."
pdf: latex
	cd _build/latex && make all-pdf

all: html pdf

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

# Sourceforge doesn't appear to have a way of copying the files
# without specifying a username.  So we'll probably have one target
# for each project admin
sf_cburns:
	@echo "Copying html files to sourceforge..."
	scp -r _build/html/* cburns,nipy@web.sourceforge.net:htdocs/nipype/

## nipype 0.3.2

=== doc/Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	@echo "  linkcheck check all external links for integrity"
 	@echo "  doctest   run all doctests embedded in the documentation"
 	@echo "  sf_cburns copy html files to sourceforge (cburns only)"
+	@echo "  sf_satra copy html files to sourceforge (satra only)"
 
 clean:
 	-rm -rf _build/* *~ api/generated documentation.zip
@@ -34,11 +35,28 @@
 	@echo "Build finished. The HTML pages are in _build/html."
 
 api:    
-	python ../tools/build_modref_templates.py
+	rm -rf api/generated
+	#python ../tools/build_modref_templates.py
+	rm -rf interfaces/generated
+	python ../tools/build_interface_docs.py
 	@echo "Build API docs finished."
 
-html: api htmlonly
+html: examples2rst api htmlonly
 	@echo "Build HTML and API finished."
+
+examples2rst:
+	python ../tools/ex2rst \
+			--project Nipype \
+			--outdir $(CURDIR)/examples \
+			../examples/freesurfer_tutorial.py \
+			../examples/fsl_tutorial2.py \
+			../examples/fsl_feeds_tutorial.py \
+			../examples/spm_tutorial.py \
+			../examples/spm_face_tutorial.py \
+			../examples/spm_auditory_tutorial.py \
+			../examples/dti_tutorial.py \
+			../examples/spm_tutorial2.py 
+	@echo "examples2rst finished."
 
 latex: api
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
@@ -73,3 +91,11 @@
 sf_cburns:
 	@echo "Copying html files to sourceforge..."
 	scp -r _build/html/* cburns,nipy@web.sourceforge.net:htdocs/nipype/
+
+sf_satra_nightly: html
+	@echo "Copying html files to sourceforge..."
+	scp -r _build/html/* satra,nipy@web.sourceforge.net:htdocs/nipype-nightly/
+
+sf_satra: html
+	@echo "Copying html files to sourceforge..."
+	rsync -auv _build/html/. satra,nipy@web.sourceforge.net:htdocs/nipype/.

## nipype 0.4.1

=== debian/changelog ===
nipype (0.4.1-1ubuntu1) oneiric; urgency=low

  * debian/import_design_matrix.patch:
    - Fix ImportError causing FTBFS.  (LP: #835008)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 22 Sep 2011 14:14:15 -0400

nipype (0.4.1-1) unstable; urgency=low

  * Fresh upstream bugrelease -- all up_* patches absorbed/dropped from the
    quilt queue
  * pyversions: requires >= 2.6 now

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 16 Jul 2011 17:43:23 -0400

nipype (0.4-1) unstable; urgency=low

  * Fresh upstream release
  * debian/source -- now 3.0 (quilt) format
  * debian/control:
    - boosted policy to 3.9.2 (no changes)
    - versioned *depends on traits (>=4.0) and nibabel (>=1.0)
    - added networkx (>=1.3) into Build-Depends
    - added python-cfflib into Build-Depends and Depends
    - added graphviz and ipython into Build-Depends -- needed to build
      documentation and run tests
  * debian/changelog -- updated for DEP5 rev 174
  * debian/watch -- was added to fetch tarballs from github
  * committed/absorbed from post-release upstream:
    - up_no_custom_matlab_path
    - up_some_no_fsl_skips
    - up_donot_fail_if_no_matlab
    - up_reset_results_when_crash
    - up_pipeline_clean_up_result_creation
  * introduced deb_tollerate_exceptions_while_docbuilding to avoid
    failures to build portions of documentation dependent on absent
    externals (e.g. FSL)
  * *Depends on backported python-traits4 as an alternative to
    python-traits >= 4.0
  * Assure no executable .csv files

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 15 Jul 2011 10:40:26 -0400

nipype (0.3.4-1) neurodebian; urgency=low

  * Added graphviz into recommends since 'dot' is also used directly by
    nipype (Closes: #604558)
  * Removed lipsia from Suggests (no relation really)
  * Added debian/blends with RFC822 reference to the poster
  * Replaced pynifti with nibabel. Removed copyright information on pynifti
  * Added additional build-depends (matplotlib, sympy, nibabel, nitime)
  * Moved networkx and nibabel into Depends since they are core components
  * Added suggests for pyxnat and matlab-spm8
  * Added .doc-base for the documentation integration
  * Updated debian/README* files
  * Assure use of Agg matplotlib backend while docbuilding/testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Nov 2010 20:51:21 -0500

nipype (0.3.3-1) experimental; urgency=low

  * New upstream release
  * Included post release fix pushed upstream
    - python 2.5 compatibility: no keyword args after *args
  * Installing example code snippets within -doc package
  * Policy compliance boost to 3.9.1 -- no changes
  * Added 2 more lintian overrides for empty files

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Sep 2010 22:34:49 -0400

nipype (0.3.3~dartmouth1-1) experimental; urgency=low

  * New upstream snapshot prepared for the nipype workshop at Dartmouth
    college

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Sep 2010 23:44:36 -0400

nipype (0.3.2-1) unstable; urgency=low

  * New upstream release (bugfixes and documentation).
    + Issues fixed since 0.3 in FreeSurfer interface:
      - bugs in glmfit and concatenate
      - SegStats doctest
    + Documentation fixes/enhancements:
      - Developers howtos
      - misc docstrings

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 09 Aug 2010 14:07:46 -0400

nipype (0.3-1) unstable; urgency=low

  * New upstream release
  * Debian packaging
    - Moving packaging under NeuroDebian umbrella
    - Adjusting debian/copyright for DEP5 rev 135
    - Policy compliance boost to 3.9.0 -- BSD license provided verbatim
    - Added AFNI available from NeuroDebian repository into Suggests
    - Added build and runtime depends on python-traits
    - Added lintian overrides for empty testing .gz files

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Jul 2010 18:25:24 -0400

nipype (0.2-4) unstable; urgency=low

  * BF: removed slipped in hardcoded 2.5 as version of Python (Closes:
    #571500).

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Feb 2010 20:06:50 -0500

nipype (0.2-3) unstable; urgency=low

  * Moving python-networkx from Build-Depends into Build-Conflicts (versioned
    before 1.0~rc1) (Closes: #569401).

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Feb 2010 17:12:16 -0500

nipype (0.2-2) unstable; urgency=low

  * Policy compliance boost to 3.8.4 -- no changes were necessary.
  * networkx moved into Recommends: due to outdated version of networkx
    in Debian (see #565319), networkx becomes optional dependency -- 
    corresponding commits cherry-picked from upstream trunk.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 05 Feb 2010 22:22:47 -0500

nipype (0.2-1) experimental; urgency=low

  * Initial release (Closes: #550080)
  * Upload to experimental since python-networkx version only in the
  experimental atm.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Nov 2009 23:03:07 -0500

=== debian/control ===
Source: nipype
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), python-support (>= 0.6), python (>= 2.6), python-setuptools (>= 0.6),
			   python-sphinx (>= 0.6), python-nose, python-simplejson, python-traits (>= 4.0) | python-traits4,
			   python-scipy, python-matplotlib, python-sympy,
			   python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
			   python-networkx (>= 1.3),
			   python-cfflib,
			   graphviz,
			   ipython,
Build-Conflicts: python-networkx (<=1.0~rc1~)
Standards-Version: 3.9.2
Homepage: http://nipy.sourceforge.net/nipype/
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git


Package: python-nipype
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
		 python-scipy,
		 python-simplejson,
		 python-traits (>= 4.0) | python-traits4,
		 python-nibabel (>= 1.0.0~),
		 python-networkx (>= 1.3),
		 python-cfflib
Recommends: ipython, python-nose, graphviz
Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
		  python-pyxnat
Provides: ${python:Provides}
Description: Neuroimaging data analysis pipelines in Python
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).


Package: python-nipype-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-nipype
Description: Neuroimaging data analysis pipelines in Python -- documentation
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).
 .
 This package contains Nipype examples and documentation in various formats.

## nipype 0.5.2

=== debian/changelog ===
nipype (0.5.2-1) unstable; urgency=low

  * Fresh bugfix upstream release
  * Added debian/source/options to ignore difference in COMMIT_INFO.txt

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Mar 2012 22:59:16 -0400

nipype (0.5.0-1) unstable; urgency=low

  * Fresh upstream release
    - dropped upstreamed patches up_recent_nipy_reference,
      deb_tollerate_exceptions_while_docbuilding
  * debian/copyright: updated to fit DEP-5 1.0 + copyright years
  * debian/python-nipype.lintian-overrides: extended list of 0-sized files

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Mar 2012 19:57:48 -0500

nipype (0.4.1-2) unstable; urgency=low

  * Cherry-picked post-release nipy-compatibility patch
    up_recent_nipy_reference (Closes: #638953). Thanks Barry for the reminder.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Sep 2011 14:20:05 -0400

## nipype 0.5.3

=== debian/changelog ===
nipype (0.5.3-2wheezy2) unstable; urgency=low

  * debian/rules:
    - fix links to the original .py source files in the documentation
      (Closes: #696419)
    - remove possibly present .htmle files (bi-product of documentation
      building, wasting lots of disk-space)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Dec 2012 13:38:30 -0500

nipype (0.5.3-2wheezy1) unstable; urgency=low

  * Remove python-nipy from build-depends to allow RM of nipy 0.1.999
    from wheezy
  * up_no_github_network_access patch to eliminate network access to github
    at package build time (Closes: #696410)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Dec 2012 09:16:35 -0500

nipype (0.5.3-2) unstable; urgency=low

  * Make it buildable on HOMEless systems (Closes: #664944)
    Thanks Lucas Nussbaum for the patch.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Jun 2012 13:41:47 -0400

nipype (0.5.3-1) unstable; urgency=low

  * Fresh bugfix upstream release (FIX: SPM model generation ...)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 31 Mar 2012 19:44:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: nipype
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), python-support (>= 0.6), python (>= 2.6), python-setuptools (>= 0.6),
 			   python-sphinx (>= 0.6), python-nose, python-simplejson, python-traits (>= 4.0) | python-traits4,
 			   python-scipy, python-matplotlib, python-sympy,
-			   python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
+			   python-nibabel (>= 1.0.0~), python-nitime,
 			   python-networkx (>= 1.3),
 			   python-cfflib,
 			   graphviz,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_MODULE_PACKAGE = python-nipype
DEB_PYTHON_MODULE_PACKAGES = python-nipype
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_DESTDIR = $(CURDIR)/debian/python-nipype
export HOME=$(CURDIR)/build

build/python-nipype::
	mkdir -p build
	echo "backend : Agg" >| build/matplotlibrc

#
# Documentation
#
doc: doc-stamp
doc-stamp: build/python-nipype
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # TODO: We need to set matplotlib backend to Agg before building...
	export PYTHONPATH=$$PWD MPLCONFIGDIR=$(CURDIR)/build; cd doc; $(MAKE) html
	touch $@
endif

build/python-nipype-doc:: doc

install/python-nipype::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian && \
	 PYTHONPATH=$(DEB_DESTDIR)/usr/lib/python$(cdbs_python_current_version)/site-packages \
     MPLCONFIGDIR=$(CURDIR)/build \
	  nosetests -v nipype -e test_spm_path
endif
	: # no executable spreadsheets
	find debian -iname *csv -print0 | xargs -r -0 chmod a-x

# use jquery from Debian package
# symlinked by debhelper
install/python-nipype-doc::
	-rm doc/_build/html/_static/jquery.js
	: # In documentation (.html), fix paths to .py source files
	find doc/_build/html -iname '*.html' \
	| xargs sed -ie 's,file://$(CURDIR),file:///usr/share/pyshared,g'
	: # Prune sphinx bi-products (.htmle) files
	-find doc/_build/html -iname '*.htmle' -delete

# immediately useable documentation
# and exemplar data (they are small excerpts anyways)
DEB_COMPRESS_EXCLUDE := .py .pdf .html .css .jpg .txt .js .json .rtc .par .bin
# -doc package contents
DEB_INSTALL_DOCS_python-nipype-doc := doc/_build/html
#doc/_build/latex/nipype.pdf

clean::
	rm -rf build pypeline.log
	$(MAKE) -C doc clean

.PHONY: doc clean

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/nipype-$1\.tar\.gz/,uversionmangle=s/rc/~rc/g" \
  http://github.com/nipy/nipype/downloads .*tarball/(\d[\d\.a-z]+)

## nipype 0.6.0

=== debian/changelog ===
nipype (0.6.0-1) experimental; urgency=low

  * New upstream release.  Upload to experimental due to wheezy freeze
  * Boosted policy to 3.9.3
  * debian/watch: adjusted for github url changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Jul 2012 09:41:29 -0400

nipype (0.5.3+git256-g493e708-1) UNRELEASED; urgency=low

  * New upstream snapshot from gh/master at 0.5.3-256-g493e708

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Jun 2012 11:40:43 -0400

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/nipype-$1\.tar\.gz/,uversionmangle=s/rc/~rc/g" \
 https://github.com/nipy/nipype/tags .*tarball/(\d[\d\.a-z]+)

## nipype 0.7

=== debian/changelog ===
nipype (0.7-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 10 Jan 2013 12:46:06 -0500

nipype (0.7-1) experimental; urgency=low

  * New upstream release
  * debian/patches:
    - included post release fix
      changeset_fa7ef717b40cf175f0b6d09a3d2180cc9ddfb1e8.diff
    - dropped previous picked up patches
  * debian/watch:
    - adjusted for everchanging layout at github

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jan 2013 11:35:28 -0500

nipype (0.6.0-2) experimental; urgency=low

  * Cherry-picked cc5433b3513477a3ccf6addac4b67fb4e2884d48 as
    0001-fix-github-authentication.patch to resolve FTBFS while building
    documentation

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Oct 2012 11:29:33 -0400

## nipype 0.8

=== debian/changelog ===
nipype (0.8-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 13 May 2013 16:32:30 -0400

nipype (0.8-1) unstable; urgency=low

  * New upstream release
    - dropping picked up previously changesets

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 May 2013 14:47:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: nipype
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), python-support (>= 0.6), python (>= 2.6), python-setuptools (>= 0.6),
 			   python-sphinx (>= 0.6), python-nose, python-simplejson, python-traits (>= 4.0) | python-traits4,
 			   python-scipy, python-matplotlib, python-sympy,
-			   python-nibabel (>= 1.0.0~), python-nitime,
+			   python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
 			   python-networkx (>= 1.3),
 			   python-cfflib,
 			   graphviz,
 			   ipython,
 Build-Conflicts: python-networkx (<=1.0~rc1~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://nipy.sourceforge.net/nipype/
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git
@@ -21,7 +22,7 @@
 Package: python-nipype
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-scipy,
 		 python-simplejson,
 		 python-traits (>= 4.0) | python-traits4,
@@ -42,7 +43,7 @@
 Package: python-nipype-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-nipype
 Description: Neuroimaging data analysis pipelines in Python -- documentation
  Nipype interfaces Python to other neuroimaging packages and creates

## nipype 0.9

=== debian/changelog ===
nipype (0.9-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - boosted policy to 3.9.4

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 20 Dec 2013 21:48:17 -0500

## nipype 0.9.2

=== requirements.txt ===
numpy>=1.3
scipy>=0.7
networkx>=1.0
traits>=4.0
dateutil>=1.5
nibabel>=1.0
nose>=1.0

=== debian/changelog ===
nipype (0.9.2-1) unstable; urgency=low

  * New bugfix upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 31 Jan 2014 15:47:16 -0500

nipype (0.9.1+git9-g8b1d21c-1) unstable; urgency=low

  * Post bug-fix release snapshot
    - should fix DataFinder bug (gh-761) introduced in 0.9 (Closes: #734591)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Jan 2014 09:47:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nipype
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), python-support (>= 0.6), python (>= 2.6), python-setuptools (>= 0.6),
 			   python-sphinx (>= 0.6), python-nose, python-simplejson, python-traits (>= 4.0) | python-traits4,
@@ -13,7 +12,7 @@
 			   graphviz,
 			   ipython,
 Build-Conflicts: python-networkx (<=1.0~rc1~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://nipy.sourceforge.net/nipype/
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git
@@ -22,7 +21,7 @@
 Package: python-nipype
 Section: python
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-scipy,
 		 python-simplejson,
 		 python-traits (>= 4.0) | python-traits4,
@@ -43,7 +42,7 @@
 Package: python-nipype-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: python-nipype
 Description: Neuroimaging data analysis pipelines in Python -- documentation
  Nipype interfaces Python to other neuroimaging packages and creates

=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,6 @@
 # symlinked by debhelper
 install/python-nipype-doc::
 	-rm doc/_build/html/_static/jquery.js
-	: # In documentation (.html), fix paths to .py source files
-	find doc/_build/html -iname '*.html' \
-	| xargs sed -ie 's,file://$(CURDIR),file:///usr/share/pyshared,g'
-	: # Prune sphinx bi-products (.htmle) files
-	-find doc/_build/html -iname '*.htmle' -delete
 
 # immediately useable documentation
 # and exemplar data (they are small excerpts anyways)

## nipype 0.10.0

=== requirements.txt ===
numpy>=1.3
scipy>=0.7
networkx>=1.0
traits>=4.0
python-dateutil>=1.5
nibabel>=1.0
nose>=1.0

=== debian/changelog ===
nipype (0.10.0-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * debian/blends, debian/upstream/metadata: Moved publication data where
    they belong to

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Oct 2014 11:28:34 -0400

nipype (0.10.0-1) unstable; urgency=medium

  * New upstream release
    - provides non-minified javascript library (Closes: #737443)
  * debian/rules
    - enable doctests
    - switch away from pysupport
  * debian/control
    - boost policy to 3.9.6
    - build-depends on recent ipython (or use ipython1x) to obtain necessary
      sphinx extensions
    - use system-wide underscore.js
  * debian/copyright
    - updated years, and used BSD-3 for the short license label
  * debian/patches
    - deb_disable_google_online_snippets -- disable all kinds of Google
      goodness (CSE, analytics)
  * debian/*lintian*
    - adjusted
  * debian/patches
    - changeset_e4c5ba858abf0dde5739788c0174417d21fb4c41.diff
      to resolve issues with context handler on older numpy's

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Oct 2014 21:32:32 -0400

=== debian/control ===
Source: nipype
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), python (>= 2.6), python-setuptools (>= 0.6),
               python-sphinx (>= 0.6), python-nose, python-simplejson, python-traits (>= 4.0) | python-traits4,
               python-scipy, python-matplotlib, python-sympy,
               python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
               python-networkx (>= 1.3),
               python-cfflib,
               graphviz,
               ipython (>= 1~) | ipython1x,
Build-Conflicts: python-networkx (<=1.0~rc1~)
Homepage: http://nipy.sourceforge.net/nipype/
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git
Standards-Version: 3.9.6


Package: python-nipype
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
         python-scipy,
         python-simplejson,
         python-traits (>= 4.0) | python-traits4,
         python-nibabel (>= 1.0.0~),
         python-networkx (>= 1.3),
         python-cfflib
Recommends: ipython, python-nose, graphviz
Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
          python-pyxnat, mne-python, elastix, ants,
Provides: ${python:Provides}
Description: Neuroimaging data analysis pipelines in Python
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).


Package: python-nipype-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-nipype
Description: Neuroimaging data analysis pipelines in Python -- documentation
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).
 .
 This package contains Nipype examples and documentation in various formats.

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,19 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-DEB_PYTHON_SYSTEM = pysupport
 DEB_PYTHON_MODULE_PACKAGE = python-nipype
 DEB_PYTHON_MODULE_PACKAGES = python-nipype
 include /usr/share/cdbs/1/class/python-distutils.mk
 
 DEB_DESTDIR = $(CURDIR)/debian/python-nipype
 export HOME=$(CURDIR)/build
+
+PYVERS = $(shell pyversions -vr)
+PYVER = $(shell pyversions -vd)
+
+IPYTHONVER := $(shell ipython -V || echo 0) # recent only needed for sphinxext
+IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 1 \
+				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython1X" || echo '')
 
 build/python-nipype::
 	mkdir -p build
@@ -21,7 +27,7 @@
 doc-stamp: build/python-nipype
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	: # TODO: We need to set matplotlib backend to Agg before building...
-	export PYTHONPATH=$$PWD MPLCONFIGDIR=$(CURDIR)/build; cd doc; $(MAKE) html
+	export PYTHONPATH=$$PWD$(IPYTHONPATH) MPLCONFIGDIR=$(CURDIR)/build; cd doc; $(MAKE) html
 	touch $@
 endif
 
@@ -30,9 +36,9 @@
 install/python-nipype::
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd debian && \
-	 PYTHONPATH=$(DEB_DESTDIR)/usr/lib/python$(cdbs_python_current_version)/site-packages \
+	 PYTHONPATH=$(DEB_DESTDIR)/usr/lib/python$(cdbs_python_current_version)/site-packages$(IPYTHONPATH) \
      MPLCONFIGDIR=$(CURDIR)/build \
-	  nosetests -v nipype -e test_spm_path
+	  nosetests -v --with-doctest nipype -e test_spm_path
 endif
 	: # no executable spreadsheets
 	find debian -iname *csv -print0 | xargs -r -0 chmod a-x
@@ -41,6 +47,7 @@
 # symlinked by debhelper
 install/python-nipype-doc::
 	-rm doc/_build/html/_static/jquery.js
+	-rm doc/_build/html/_static/underscore.js
 
 # immediately useable documentation
 # and exemplar data (they are small excerpts anyways)

## nipype 0.11.0

=== Makefile ===
# Makefile for building distributions of nipype.
# Files are then pushed to sourceforge using rsync with a command like this:
# rsync -e ssh nipype-0.1-py2.5.egg cburns,nipy@frs.sourceforge.net:/home/frs/project/n/ni/nipy/nipype/nipype-0.1/

PYTHON ?= python
NOSETESTS ?= nosetests

.PHONY: zipdoc sdist egg upload_to_pypi trailing-spaces clean-pyc clean-so clean-build clean-ctags clean in inplace test-code test-doc test-coverage test html specs check-before-commit check

zipdoc: html
	zip documentation.zip doc/_build/html

sdist: zipdoc
	@echo "Building source distribution..."
	python setup.py sdist
	@echo "Done building source distribution."
	# XXX copy documentation.zip to dist directory.
	# XXX Somewhere the doc/_build directory is removed and causes
	# this script to fail.

egg: zipdoc
	@echo "Building egg..."
	python setup.py bdist_egg
	@echo "Done building egg."

upload_to_pypi: zipdoc
	@echo "Uploading to PyPi..."
	python setup.py sdist --formats=zip,gztar upload

trailing-spaces:
	find . -name "*[.py|.rst]" -type f | xargs perl -pi -e 's/[ \t]*$$//'
	@echo "Reverting test_docparse"
	git checkout nipype/utils/tests/test_docparse.py

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean: clean-build clean-pyc clean-so clean-ctags

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	$(NOSETESTS) -s nipype --with-doctest

test-doc:
	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
	--doctest-fixtures=_fixture doc/

test-coverage:
	$(NOSETESTS) -s --with-doctest --with-coverage --cover-package=nipype \
	--config=.coveragerc

test: clean test-code

html:
	@echo "building docs"
	make -C doc clean html

specs:
	@echo "Checking specs and autogenerating spec tests"
	python tools/checkspecs.py

check: check-before-commit # just a shortcut
check-before-commit: specs trailing-spaces html test
	@echo "removed spaces"
	@echo "built docs"
	@echo "ran test"
	@echo "generated spec tests"

=== requirements.txt ===
numpy>=1.6.2
scipy>=0.11
networkx>=1.7
traits>=4.3
python-dateutil>=1.5
nibabel>=2.0.1
nose>=1.2

=== doc/Makefile ===
--- 
+++ 
@@ -23,39 +23,29 @@
 	      		"items (ChangeLog)"
 	@echo "  linkcheck check all external links for integrity"
 	@echo "  doctest   run all doctests embedded in the documentation"
-	@echo "  sf_cburns copy html files to sourceforge (cburns only)"
 	@echo "  sf_satra copy html files to sourceforge (satra only)"
 
 clean:
-	-rm -rf _build/* *~ api/generated documentation.zip
+	-rm -rf _build/* *~ api/generated interfaces/generated users/examples documentation.zip
 
 htmlonly:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
-api:    
+api:
 	rm -rf api/generated
-	#python ../tools/build_modref_templates.py
+	python ../tools/build_modref_templates.py
 	rm -rf interfaces/generated
 	python ../tools/build_interface_docs.py
 	@echo "Build API docs finished."
 
-html: examples2rst api htmlonly
+html: clean examples2rst api htmlonly
 	@echo "Build HTML and API finished."
 
 examples2rst:
-	python ../tools/ex2rst \
-			--project Nipype \
-			--outdir $(CURDIR)/examples \
-			../examples/freesurfer_tutorial.py \
-			../examples/fsl_tutorial2.py \
-			../examples/fsl_feeds_tutorial.py \
-			../examples/spm_tutorial.py \
-			../examples/spm_face_tutorial.py \
-			../examples/spm_auditory_tutorial.py \
-			../examples/dti_tutorial.py \
-			../examples/spm_tutorial2.py 
+	mkdir -p users/examples
+	../tools/make_examples.py --no-exec
 	@echo "examples2rst finished."
 
 latex: api
@@ -85,13 +75,17 @@
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
 
+gitwash-update:
+	python ../tools/gitwash_dumper.py devel nipype \
+            --repo-name=nipype \
+            --github-user=nipy \
+            --project-url=http://nipy.org/nipype \
+            --project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
+	@echo "gitwash updated"
+
 # Sourceforge doesn't appear to have a way of copying the files
 # without specifying a username.  So we'll probably have one target
 # for each project admin
-sf_cburns:
-	@echo "Copying html files to sourceforge..."
-	scp -r _build/html/* cburns,nipy@web.sourceforge.net:htdocs/nipype/
-
 sf_satra_nightly: html
 	@echo "Copying html files to sourceforge..."
 	scp -r _build/html/* satra,nipy@web.sourceforge.net:htdocs/nipype-nightly/
@@ -99,3 +93,7 @@
 sf_satra: html
 	@echo "Copying html files to sourceforge..."
 	rsync -auv _build/html/. satra,nipy@web.sourceforge.net:htdocs/nipype/.
+
+sf_filo: html
+	@echo "Copying html files to sourceforge..."
+	rsync -auv _build/html/. gorgolewski,nipy@web.sourceforge.net:htdocs/nipype/.

=== debian/changelog ===
nipype (0.11.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/rules
    - skip test_mesh_ops since needs X and also seems to be incompatible
      with our mayavi2 4.3.1 (https://github.com/nipy/nipype/issues/1218)
    - needed to drop --with-doctest so that test_mesh_ops doesn't get
      imported anyhow 
  * debian/control
    - recommend mayavi2 and python-xvfbwrapper as needed by some interfaces

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Sep 2015 19:43:29 -0400

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
          python-nibabel (>= 1.0.0~),
          python-networkx (>= 1.3),
          python-cfflib
-Recommends: ipython, python-nose, graphviz
+Recommends: ipython, python-nose, graphviz, python-xvfbwrapper, mayavi2
 Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
           python-pyxnat, mne-python, elastix, ants,
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,9 @@
 	cd debian && \
 	 PYTHONPATH=$(DEB_DESTDIR)/usr/lib/python$(cdbs_python_current_version)/site-packages$(IPYTHONPATH) \
      MPLCONFIGDIR=$(CURDIR)/build \
-	  nosetests -v --with-doctest nipype -e test_spm_path
+	  nosetests -v nipype -e '(test_spm_path|test_mesh_ops)'
+    # test_mesh_ops needs X for bloody tvtk.api, and then fails anyways with current mayavi2/tvtk:
+    # https://github.com/nipy/nipype/issues/1218, so skipping it for now
 endif
 	: # no executable spreadsheets
 	find debian -iname *csv -print0 | xargs -r -0 chmod a-x

## nipype 0.12.1+git4

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,9 @@
 python-dateutil>=1.5
 nibabel>=2.0.1
 nose>=1.2
+future==0.15.2
+simplejson>=3.8.0
+prov>=1.4.0
+xvfbwrapper
+psutil
+funcsigs

## nipype 0.12.1+git4-gbc3a0b5

=== debian/changelog ===
nipype (0.12.1+git4-gbc3a0b5-1) unstable; urgency=medium

  * New upstream snapshot from 0.12.0-53-g356319b -- there were a number of
    fixes after release, without visible major new features introduced),
    thus snapshot was chosen
  * debian/control
    - python-{funcsigs,future,mock,prov,psutil} added to
      {Build-,}Depends/Recommends
    - boosted policy to 3.9.8
  * debian/patches
    - refreshed
    - deb_robust_apidocgen added to guarantee robust doc generations even
      externals puke on import for some reason (like nitime atm)
      (Closes: #802409)
  * debian/rules
    - adjusted to find installed nipype under any -packages

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Aug 2016 22:07:30 -0400

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,20 @@
                python-sphinx (>= 0.6), python-nose, python-simplejson, python-traits (>= 4.0) | python-traits4,
                python-scipy, python-matplotlib, python-sympy,
                python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
+               python-mock,
                python-networkx (>= 1.3),
                python-cfflib,
+               python-funcsigs,
+               python-future,
+               python-psutil,
+               python-prov,
                graphviz,
                ipython (>= 1~) | ipython1x,
 Build-Conflicts: python-networkx (<=1.0~rc1~)
 Homepage: http://nipy.sourceforge.net/nipype/
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 
 Package: python-nipype
@@ -27,8 +32,13 @@
          python-traits (>= 4.0) | python-traits4,
          python-nibabel (>= 1.0.0~),
          python-networkx (>= 1.3),
-         python-cfflib
-Recommends: ipython, python-nose, graphviz, python-xvfbwrapper, mayavi2
+         python-cfflib,
+         python-funcsigs,
+         python-future,
+         python-prov,
+         python-psutil,
+Recommends: ipython, python-nose, graphviz, python-xvfbwrapper, mayavi2,
+            python-mock,
 Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
           python-pyxnat, mne-python, elastix, ants,
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,9 @@
 
 install/python-nipype::
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd debian && \
-	 PYTHONPATH=$(DEB_DESTDIR)/usr/lib/python$(cdbs_python_current_version)/site-packages$(IPYTHONPATH) \
-     MPLCONFIGDIR=$(CURDIR)/build \
+	export PYTHONPATH=`/bin/ls -d $(DEB_DESTDIR)/usr/lib/python$(cdbs_python_current_version)/*-packages`$(IPYTHONPATH); \
+	cd build && \
+         MPLCONFIGDIR=$(CURDIR)/build \
 	  nosetests -v nipype -e '(test_spm_path|test_mesh_ops)'
     # test_mesh_ops needs X for bloody tvtk.api, and then fails anyways with current mayavi2/tvtk:
     # https://github.com/nipy/nipype/issues/1218, so skipping it for now

## nipype 0.14.0

=== debian/changelog ===
nipype (0.14.0-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 19 Dec 2017 15:34:16 -0500

nipype (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
    - dropped debian/patches/up*
    - should not FTBFS any longer (Closes: #848777)
  * debian/control
    - boosted debhelper to 9
    - boosted debian policy to 4.1.2
    - added python-packaging to build-depends and depends
    - downgraded cfflib to Recommends and removed from B-Depends
      (no longer developed etc)
  * debian/patches
    - make sphinx.ext.imgmath optionally needed

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Dec 2017 14:14:49 -0500

nipype (0.13.1-1) experimental; urgency=medium

  * Fresh upstream release
    - switched to use py.test instead of nosetests
  * debian/control
    - added python-click and python-configparser
  * Dropped debian/patches/changeset_bf-install-use-resources.diff
    since upstream migrated to setuptools and issue with permissions
    should be resolved (see https://github.com/nipy/nipype/pull/1565)
  * debian/rules 
    - set LC_ALL=C.UTF-8 while building docs

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 May 2017 10:03:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: nipype
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: cdbs, debhelper (>= 7), python (>= 2.6), python-setuptools (>= 0.6),
-               python-sphinx (>= 0.6), python-nose, python-simplejson, python-traits (>= 4.0) | python-traits4,
+Build-Depends: cdbs, debhelper (>= 9), python (>= 2.6), python-setuptools (>= 0.6),
+               python-sphinx (>= 0.6), 
+               python-packaging,
+               python-pytest,
+               python-pydotplus,
+               python-click,
+               python-configparser,
+               python-simplejson, python-traits (>= 4.0) | python-traits4,
                python-scipy, python-matplotlib, python-sympy,
                python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
                python-mock,
                python-networkx (>= 1.3),
-               python-cfflib,
                python-funcsigs,
                python-future,
                python-psutil,
@@ -20,25 +26,28 @@
 Homepage: http://nipy.sourceforge.net/nipype/
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 
 
 Package: python-nipype
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+         python-click,
+         python-configparser,
+         python-packaging,
          python-scipy,
          python-simplejson,
          python-traits (>= 4.0) | python-traits4,
          python-nibabel (>= 1.0.0~),
          python-networkx (>= 1.3),
-         python-cfflib,
          python-funcsigs,
          python-future,
          python-prov,
          python-psutil,
-Recommends: ipython, python-nose, graphviz, python-xvfbwrapper, mayavi2,
-            python-mock,
+Recommends: ipython, python-pytest, graphviz, python-xvfbwrapper, mayavi2,
+            python-mock, python-pydotplus,
+            python-cfflib,
 Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
           python-pyxnat, mne-python, elastix, ants,
 Provides: ${python:Provides}
@@ -52,7 +61,7 @@
 Package: python-nipype-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-nipype
 Description: Neuroimaging data analysis pipelines in Python -- documentation
  Nipype interfaces Python to other neuroimaging packages and creates

## nipype 1.0.0%2Bgit69-gdb2670326

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nipype
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 9), python (>= 2.6), python-setuptools (>= 0.6),
                python-sphinx (>= 0.6), 
@@ -11,7 +10,7 @@
                python-pydotplus,
                python-click,
                python-configparser,
-               python-simplejson, python-traits (>= 4.0) | python-traits4,
+               python-simplejson, python-traits (>= 4.5.0) | python-traits4 (>= 4.5),
                python-scipy, python-matplotlib, python-sympy,
                python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
                python-mock,
@@ -32,13 +31,13 @@
 Package: python-nipype
 Section: python
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          python-click,
          python-configparser,
          python-packaging,
          python-scipy,
          python-simplejson,
-         python-traits (>= 4.0) | python-traits4,
+         python-traits (>= 4.5.0) | python-traits4 (>= 4.5.0),
          python-nibabel (>= 1.0.0~),
          python-networkx (>= 1.3),
          python-funcsigs,
@@ -61,7 +60,7 @@
 Package: python-nipype-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-nipype
 Description: Neuroimaging data analysis pipelines in Python -- documentation
  Nipype interfaces Python to other neuroimaging packages and creates

## nipype 1.0.0+git69

=== Makefile ===
# Makefile for building distributions of nipype.
# Files are then pushed to sourceforge using rsync with a command like this:
# rsync -e ssh nipype-0.1-py2.5.egg cburns,nipy@frs.sourceforge.net:/home/frs/project/n/ni/nipy/nipype/nipype-0.1/

PYTHON ?= python
NOSETESTS=`which nosetests`

.PHONY: zipdoc sdist egg upload_to_pypi trailing-spaces clean-pyc clean-so clean-build clean-ctags clean in inplace test-code test-coverage test html specs check-before-commit check gen-base-dockerfile gen-main-dockerfile gen-dockerfiles

zipdoc: html
	zip documentation.zip doc/_build/html

sdist: zipdoc
	@echo "Building source distribution..."
	python setup.py sdist
	@echo "Done building source distribution."
	# XXX copy documentation.zip to dist directory.

egg: zipdoc
	@echo "Building egg..."
	python setup.py bdist_egg
	@echo "Done building egg."

upload_to_pypi: zipdoc
	@echo "Uploading to PyPi..."
	python setup.py sdist --formats=zip,gztar upload

trailing-spaces:
	find . -name "*[.py|.rst]" -type f | xargs perl -pi -e 's/[ \t]*$$//'
	@echo "Reverting test_docparse"
	git checkout nipype/utils/tests/test_docparse.py

clean-pyc:
	find . -name "*.pyc" | xargs rm -f
	find . -name "__pycache__" -type d | xargs rm -rf

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean-doc:
	rm -rf doc/_build

clean-tests:
	rm -f .coverage

clean: clean-build clean-pyc clean-so clean-ctags clean-doc clean-tests

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	py.test --doctest-module nipype

test-coverage: clean-tests in
	py.test --doctest-modules --cov-config .coveragerc --cov=nipype nipype

test: tests # just another name
tests: clean test-code

html:
	@echo "building docs"
	make -C doc clean htmlonly

specs:
	@echo "Checking specs and autogenerating spec tests"
	env PYTHONPATH=".:$(PYTHONPATH)" python tools/checkspecs.py

check: check-before-commit # just a shortcut
check-before-commit: specs trailing-spaces html test
	@echo "removed spaces"
	@echo "built docs"
	@echo "ran test"
	@echo "generated spec tests"

gen-base-dockerfile:
	@echo "Generating base Dockerfile"
	bash docker/generate_dockerfiles.sh -b

gen-main-dockerfile:
	@echo "Generating main Dockerfile"
	bash docker/generate_dockerfiles.sh -m

gen-dockerfiles: gen-base-dockerfile gen-main-dockerfile

=== requirements.txt ===
numpy>=1.9.0
scipy>=0.11
networkx>=1.9
traits>=4.6
python-dateutil>=1.5
nibabel>=2.1.0
future>=0.16.0
simplejson>=3.8.0
prov==1.5.0
click>=6.6.0
funcsigs
configparser
pytest>=3.0
mock
pydotplus
pydot>=1.2.3
packaging
